Kreslení Přímka

From FreeCAD Documentation
Revision as of 21:31, 20 August 2016 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to: navigation, search

Draft Line.svg Kreslení Přímka

Umístění Menu
Kreslení → Přímka
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
L I
Představen ve verzi
-
Viz také
Kreslení drát


Popis

Nástroj Přímka vytváří rovnou dvoubodovou přímku v aktuální pracovní rovině. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů. Nástroj Přímka se chová přesně stejně jako nástroj Drát (lomená čára) kromě toho že končí po zadání dvou bodů.

Draft Line example.jpg

Použití

  1. Stiskněte tlačítko Draft Line.png Přímka nebo klávesy L pak I
  2. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice.

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.
  • If several connected Draft Lines are selected they can be transformed into a wire by pressing the Draft Wire Button. introduced in version 0.17

Properties

  • DATAStart: The start point
  • DATAEnd: The end point
  • DATASubdivisions: Divides the line with the given number of subdivisions introduced in version 0.16

Skriptování

Nástroj Přímka může být využit v makrech a z konzoly Pythonu použitím následující funkce:

makeLine (Vector, Vector)
  • Vytvoří přímku mezi dvěma zadanými vektory. Pro kreslení je použita aktuálně nastavená šířka a barva čáry.
  • Vrací nově vytvořený objekt.

Příklad:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎